<?xml version="1.0" encoding="utf-8" ?>
<hibernate-mapping xmlns="urn:nhibernate-mapping-2.2" assembly="Domain" namespace="Domain">
    <class name="HostModal" table="tb_HostModal">
        <composite-id>
            <key-property name="HostID" column="HostID" type="int" />
            <key-many-to-one name="Modal" column="RoomTypeModalID" class="RoomTypeModal" foreign-key="FK_tb_HostModal_tb_RoomTypeModal" />
        </composite-id>
        <property name="Status" column="Status" type="int" />
        <property name="Brightness" column="Brightness" type="int" />
        <property name="CurrentTemp" column="CurrentTemp" type="int" />
        <property name="SettingTemp" column="SettingTemp" type="int" />
        <property name="FanSpeed" column="FanSpeed" type="int" />
        <property name="Mode" column="Mode" type="int" />
        <property name="Valve" column="Valve" type="int" />
        <property name="Time" column="Time" type="int" />
        <property name="UpdateTime" column="UpdateTime" type="DateTime" />
    </class>
</hibernate-mapping>
